Package org.codehaus.groovy.vmplugin.v6

# Class Java6

java.lang.Object
org.codehaus.groovy.vmplugin.v5.Java5
org.codehaus.groovy.vmplugin.v6.Java6

All Implemented Interfaces:
  `VMPlugin`

Direct Known Subclasses:
  `Java7`

public class Java6 extends Java5
Java 6 based functions. M12n moved these to modules.

Author:
  Jochen Theodorou

## Constructor Summary

Constructors
Constructor
Description
`Java6()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getVersion()`
Gives the version the plguin is made for

### Methods inherited from class org.codehaus.groovy.vmplugin.v5.Java5

`configureAnnotation, configureClassNode, getInvokeSpecialHandle, getPluginDefaultGroovyMethods, getPluginStaticGroovyMethods, invalidateCallSites, invokeHandle, setAdditionalClassInformation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Java6

public Java6()

## Method Details

### getVersion

public int getVersion()
Description copied from interface: `VMPlugin`
Gives the version the plguin is made for

Specified by:
  `getVersion` in interface `VMPlugin`
Overrides:
  `getVersion` in class `Java5`
Returns:
  5 for jdk5, 6 for jdk6, 7 for jdk7 or higher